ServiceM8 iOS & Device compatibility

Follow

ServiceM8 6.0 requires iOS 9.0 or later, and is compatible with iPhone, iPad & Apple Watch.

ServiceM8 compatibility by iOS version & device:

iOS 11 only features:

  • Barcode Scanning
  • Document Scanning
  • ServiceM8 Measure ( Requires A9 Chip or better )

 

iPad only features:

  • Staff Schedule
  • Diagram

Which devices to choose for field staff?

Here are some ongoing device & iOS support considerations: 

ServiceM8 is constantly working to improve and update the ServiceM8 app, which is available exclusively on iOS mobile devices (i.e. iPhone, iPad, Apple Watch). 

We immediately support major iOS updates with aligned updates of our own, consistently incorporating the latest iOS features to make ServiceM8 more accessible, intuitive and useful. This means that on a rolling basis, the latest version of ServiceM8 will only be available to download on devices capable of running an iOS within two versions of the latest version. 

For example, if iOS 11 is the latest iOS, and ServiceM8 6.0 is the latest version of the ServiceM8 app, a device capable of running iOS 9 will be able to download ServiceM8 6.0, however a device that only supports up to iOS 8 will not. 

For devices which become unable to run an iOS within two versions of the latest iOS, they will still have access to a supported version of the ServiceM8 app, however they will not be able to download the latest version of the app.

Further, some ServiceM8 features require device-specific and/or iOS-specific features (e.g. ServiceM8’s Augmented Reality measuring tape requires iOS 11 + a device with an A9 chip or later). 

ServiceM8 will continue to support older devices and iOS versions, however the use of relatively recent devices and the current iOS version will yield the best results and user experience. 

These are considerations when setting your field staff up with iOS devices. 

Have more questions? Submit a request